service: ws-dock_tdc

frameworkVersion: '3'

provider:
  name: aws
  runtime: nodejs16.x
  architecture: arm64
  stage: ${opt:stage, 'dev'}
  region: ${opt:region, 'us-west-1'}
  memorySize: 128
  logRetentionInDays: 1
  timeout: 15

functions:
  api:
    handler: dist/lambda.handler
    events:
      - httpApi:
          method: any
          path: /{proxy+}

plugins:
  - serverless-jetpack
  - serverless-offline